{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    EveryPay
*  @copyright since 2015 EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}
{extends "$layout"}
{block name="content"}
{literal}
<script>
	window.onload = function() { document.getElementById("everypay_validation_form").submit(); }

</script>
{/literal}
<p class="alert">
	{l s='If page did not redirect automatically, click "Proceed to Payment" button.' mod='everypay'}
</p>
<form id="everypay_validation_form" action="{$payment_link}" method="post" style="margin-bottom: 25px; margin-left: 20px;">
	{* <input type="hidden" name="hmac" value="{$hmac}">
	<input type="hidden" name="hmac_fields" value="{$hmac_fields}">
	<input type="hidden" name="transaction_type" value="{$transaction_type}">
	<input type="hidden" name="locale" value="{$locale}">
	<input type="hidden" name="amount" value="{$amount}">
	<input type="hidden" name="api_username" value="{$api_username}">
	<input type="hidden" name="account_name" value="{$account_name}">
	<input type="hidden" name="billing_address" value="{$billing_address}">
	<input type="hidden" name="billing_city" value="{$billing_city}">
	<input type="hidden" name="billing_country" value="{$billing_country}">
	<input type="hidden" name="billing_state" value="{$billing_state}">
	<input type="hidden" name="billing_postcode" value="{$billing_postcode}">
	<input type="hidden" name="billing_line1" value="{$billing_line1}">
	<input type="hidden" name="billing_line2" value="{$billing_line2}">
	<input type="hidden" name="billing_line3" value="{$billing_line3}">
	<input type="hidden" name="callback_url" value="{$callback_url}">
	<input type="hidden" name="customer_url" value="{$customer_url}">
	<input type="hidden" name="shipping_address" value="{$shipping_address}">
	<input type="hidden" name="shipping_city" value="{$shipping_city}">
	<input type="hidden" name="shipping_country" value="{$shipping_country}">
	<input type="hidden" name="shipping_code" value="{$shipping_code}">
	<input type="hidden" name="shipping_line1" value="{$shipping_line1}">
	<input type="hidden" name="shipping_line2" value="{$shipping_line2}">
	<input type="hidden" name="shipping_line3" value="{$shipping_line3}">
	<input type="hidden" name="email" value="{$email}">
	<input type="hidden" name="nonce" value="{$nonce}">
	<input type="hidden" name="order_reference" value="{$order_reference}">
	<input type="hidden" name="timestamp" value="{$timestamp}">
	<input type="hidden" name="customer_ip" value="{$customer_ip}">
	<input type="hidden" name="request_token" value="{$request_token}">
	{if isset($cc_token)}<input type="hidden" name="cc_token" value="{$cc_token}">{/if} *}
	<input class="btn btn-success" type="submit" value="{l s='Proceed to Payment' mod='everypay'}">
</form>
{/block}